> ## Documentation Index
> Fetch the complete documentation index at: https://sjaa-dev.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get API Keys

> Returns all the API Keys currently assigned to the account.



## OpenAPI

````yaml GET /keys
openapi: 3.1.1
info:
  title: SJAA Database
  description: An API for securely accessing member and club information.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://membership.sjaa.net/api
security:
  - bearerAuth: []
paths:
  /keys:
    get:
      description: Returns all the API Keys currently assigned to the account.
      responses:
        '200':
          description: API Keys response.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ApiKey'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    ApiKey:
      type: object
      properties:
        token:
          description: The Bearer token that can be used to access other API endpoints.
          type: string
        permissions:
          description: >-
            A list of permissions that your api-key is granted.  Any of these
            [Permissions](/api-reference/data-types/permissions).
          type: array
          items:
            $ref: '#/components/schemas/Permissions'
    Permissions:
      type: string
      anyOf:
        - const: read
          title: Read
          description: Allows reading of any data, except permissions.
        - const: write
          title: Write
          description: Allows writing of any data, excpet permissions.
        - const: permit
          title: Permit
          description: Allows reading and writing of permissions for other Admin accounts.
    Error:
      required:
        - errors
      type: object
      properties:
        errors:
          type: array
          items:
            type: string
  responses:
    Unauthorized:
      description: >-
        Request failed to authenticate or contained insufficient permissions for
        the operation.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````